### Method

# EDataCal CalBackend get_timezone_sync

since: 3.10

#### Declaration [src]

    gchar*
    e_cal_backend_get_timezone_sync (
      ECalBackend* backend,
      const gchar* tzid,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Obtains the VTIMEZONE object identified by `tzid`. Free the returned string with `g_free()` when finished with it.

If an error occurs, the function will set `error` and return `NULL`.

Available since: 3.10

#### Parameters

`tzid`

  Type: `const gchar*`

  A unique ID for an iCalendar VTIMEZONE object.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gchar*`

An iCalendar string, or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.